petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDTReconstructPoly

create matrix representing polynomial reconstruction using cell intervals and evaluation at target intervals

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTReconstructPoly(PetscInt degree,PetscInt nsource,const PetscReal *sourcex,PetscInt ntarget,const PetscReal *targetx,PetscReal *R)

Not Collective Many br

### Input Arguments

| degree | - degree of reconstruction polynomial Many br
| nsource | - number of source intervals Many br
| sourcex | - sorted coordinates of source cell boundaries (length nsource+1) Many br
| ntarget | - number of target intervals Many br
| targetx | - sorted coordinates of target cell boundaries (length ntarget+1) Many br

### Output Arguments

R -reconstruction matrix, utarget = sum_s R[t*nsource+s] * usource[s] Many br

Many br

### See Also

PetscDTLegendreEval()

Level:advanced
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages